@echo off
REM ===========================================================================================
REM
REM USAGE: AddPhotoToCatalogue binDir CataloguePath InputFilePath CDID
REM
REM This batch file adds a single photo from a CD to a hard disk based catalogue of thumbnails.
REM
REM 17 Feb 2010, Anthony Dunk ( http:\\adunk.ozehosting.com )
REM
REM NOTE: Requires ImageMagick 6.5.9 to be installed from http://www.imagemagick.org
REM
REM ===========================================================================================
call "%~1\getpathnodrive.bat" %3  > "%~2temp.txt"
set /p p= < "%~2temp.txt"
call "%~1\getfilenameonly.bat" %3 > "%~2temp.txt"
set /p f= < "%~2temp.txt"
del "%~2temp.txt"
set destpath="%~2%~4%p%"
set destfile="%~2%~4%p%%f%"
if not exist %destpath% mkdir %destpath%
REM
REM Use ImageMagick to resize the images to max of 100x100, preserving aspect ratio
REM
echo %~3
convert.exe %3 -resize 100x100 %destfile%
set /A count=%count%+1
